@import '_variables';

@mixin center {
  display: flex;
  justify-content: center;
  align-items: center;
}

@mixin body-burger {
  content: '';
  position: relative;
  @include center;
  appearance: none;
  background-color: transparent;
  border: none;
  width: 1.625rem;
  height: 1.625rem;
  cursor: pointer;
}

@mixin burger-b-a {
  content: '';
  position: absolute;
  border-top: 3px solid $neutral;
  border-radius: 3px;
}

@mixin btn-body {
  appearance: none;
  border: none;
  background-color: $hat;
  border-radius: 2.25rem;
  cursor: pointer;
  color: $neutral;
  font-weight: 700;
  font-size: 0.9375rem;

  &:hover {
    background-color: $neutral;
    color: $hat;
  }
}
//стандартний запис відрізняється font: italic 400 0.875rem / 1.3125rem 'Lato';
@mixin font-size($size, $line, $weight, $color){
  font-size: $size;
  line-height: $line;
  font-weight: $weight;
  color: $color;
}

